@charset "utf-8";

#particles-js{
	position: fixed;
	z-index: 0;
	width: 100%;
	height: 100%;
}

#intro{
	position: relative;
	margin-top: 100px;
	padding: 0 2%;
	height: calc(100vh - 100px);
	display: flex;
	align-items: center;
	z-index: -10;
	overflow: hidden;
}

#slogan{
	position: absolute;
	bottom: 15vh;
}

#intro h1{
	font-size: 2.625rem;
	font-weight: 800;
	opacity: 0;
	transform: translateY(500px);
	animation-delay: 1s;
	background: rgba(255,255,255,.8);
}

#intro span{
	color: #c81919;
}

#intro p{
	width: 32em;
	color: #666;
	font-size: .875rem;
	font-family: 'Montserrat', sans-serif;
	opacity: 0;
	transform: translateY(500px);
	animation-delay: 1.5s;
}

#intro .moonWrap{
	position: absolute;
	top: -120px;
	right: -120px;
	opacity: 0;
	transform: translateY(500px);
	animation: moonWrap 5s forwards;
	animation-delay: 2s;
}

@keyframes moonWrap{
  0%{
    opacity: 0;
    transform: translateY(500px);
  }
  100%{
    opacity: 1;
    transform: translateY(0);
  }
}

#intro .moon{
  width: 50vh;
  height: 50vh;
  background: #008b6d;
  /*animation: moon 30s ease 0s infinite, bgchange 10s ease infinite;*/
  animation: moon 30s ease 0s infinite;
}

@keyframes moon{
	0%, 100%{
   border-radius: 63% 37% 54% 46%/55% 48% 52% 45%;
	}
	14%{
    border-radius: 40% 60% 54% 46%/49% 60% 40% 51%;
	}
	28%{
    border-radius: 54% 46% 38% 62%/49% 70% 30% 51%;
	}
	42%{
    border-radius: 61% 39% 55% 45%/61% 38% 62% 39%;
	}
	56%{
    border-radius: 61% 39% 67% 33%/70% 50% 50% 30%;
	}
	70%{
    border-radius: 50% 50% 34% 66%/56% 68% 32% 44%;
	}
	84%{
    border-radius: 46% 54% 50% 50%/35% 61% 39% 65%;
	}
}


#service{
	background: url(../images/cloudBg.png) no-repeat 100% 100% / 50% auto;
}


.logoAnime{
	margin: 1rem 0 0 2%;
}

.logoAnime img{
	margin: 0 .5rem;
}

.logoAnime img:first-of-type{
	animation-delay: .1s;
}

.logoAnime img:nth-of-type(2){
	animation-delay: .3s;
}

.logoAnime img:nth-of-type(3){
	animation-delay: .5s;
}


/* news
------------------------------------------------------------*/
#news .flex{
	align-items: flex-start;
}

#news dl{
	display: flex;
	flex-wrap: wrap;
	background: rgba(255,255,255,.8);
}

#news dt{
	width: 7em;
	padding: 1.5em 0;
	font-weight: 400;
	font-family: 'Montserrat', sans-serif;
}


#news dd{
	width: calc(100% - 7em);
	padding: 1.5em 0;
}

#news a{
	display: block;
	position: relative;
	color: #333;
}

#news a:after{
	position: absolute;
	margin: .7em 0 0 .5em;
	content: '';
	width: .5rem;
	height: .5rem;
	border-top: 1px solid #c81919;
	border-right: 1px solid #c81919;
	transform: rotate(45deg);
	transition: .3s;
}

#news a:hover:after{
	margin-left: .8em;
}



/* common
------------------------------------------------------------*/
section{
	padding: 5rem 0;
	overflow: hidden;
	font-size: 1.125rem
}

.inner{
	margin: 0 auto;
	width: 1000px;
	max-width: 98%;
}

.fadeUpTrigger{
	animation-name: fadeUp;
	animation-duration: 1.5s;
	animation-fill-mode: forwards;
}

@keyframes fadeUp{
  0%{
    opacity: 0;
    transform: translateY(600px);
  }
  100%{
    opacity: 1;
    transform: translateY(0);
  }
}

.fadeIntxtbgExtendTrigger{
	opacity: 0;
	transform: translateX(500px);
}

#service .fadeIntxtbgExtendTrigger{
	transform: translateX(-500px);
}

.fadeInAnime{
	opacity: 0;
	filter: blur(10px);
}

.fRTrigger{
	opacity: 0;
  transform: translateX(600px);
}

.fLTrigger{
	opacity: 0;
  transform: translateX(-600px);
}

.fadeIntxtbgExtendTrigger.fadeIn{
	animation-delay: 1s;
}


.txtbgExtendTrigger{
	position: relative;
	width: 70%;
	max-width: 960px;
	padding: 2rem;
	line-height: 2;
}

.txtbgExtendTrigger p{
	margin-bottom: 1rem;
}

.txtbgExtend:before{
	position: absolute;
	top: 0;
	left: 0;
	content: '';
	width: 100%;
	height: 100%;
	background: #eff0f2;
	background: rgba(239,240,242,.8);
	z-index: 0;
	animation-name: txtbgExtend;
	animation-duration: 1s;
	animation-fill-mode: forwards;
	opacity: 0;
	animation-delay: .5s;
}

@keyframes txtbgExtend{
	0% {
    transform-origin:right;
    transform:scaleX(0);
    opacity: 0;
  }
  100% {
    transform-origin:right;
    transform:scaleX(1);
    opacity: 1;
  }
}

.txtbgExtendTrigger div{
	position: relative;
	z-index: 1;
}


#access p{
	position: relative;
	opacity: 0;
	transition: 1s;
	z-index: 100;
}

#access p.is-show{
	opacity: 1;

}

#map{
  position: relative;
  width: 100%;
  height: 0;
  padding-top: 75%;
}

#map iframe{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.heading{
	margin-bottom: 3rem;
	color: #c81919;
	font-weight: 600;
	font-size: 5rem;
	font-family: 'Montserrat', sans-serif;
	text-align: center;
}

.inner{
	width: 96%;
	max-width: 74rem;
	margin: 0 auto;
}


strong{
	font-weight: 600;
	background: linear-gradient(transparent 75%, #ffda1c 75%);
}


h3{
	position: relative;
	margin-bottom: 2rem;
	line-height: 1.2;
	font-weight: 600;
	font-size: 3rem;
	font-family: 'Montserrat', sans-serif;
	color: #c81919;
}

h5{
	position: relative;
	padding-bottom: .3em;
	margin-bottom: .5em;
	font-size: 1em;
	color: #c81919;
	opacity: 0;
	transition: .5s;
}

.btn{
	padding: 1rem 2rem;
	font-size: 1.5rem;
	color: #fff;
	background: #c5000b;
	transition: .5s;
}

#contact{
	width: 94%;
	max-width: 1000px;
	margin: 0 auto;
}

#contact .txtbgExtendTrigger{
	width: calc(100% - 4px);
}

#contact .txtbgExtend:before{
	background: rgba(255,255,255,.9);
	border: 1px solid #ccc;
}

.mw_wp_form{
	width: 100%;
}

.mw_wp_form_preview p,
.mw_wp_form_complete .firstStep,
.mw_wp_form_preview .firstStep{
	display: none;
}

#contact dt{
	position: relative;
	width: 12em;
}

#contact dt span{
	color: #c81919;
	font-size: .85rem;
}

#contact dd{
	width: calc(100% - 12em);
}

input[type=text],
input[type=email]{
	width: 90%;
	padding: .5em;
	border: 0;
	background: #ededed;
	border-radius: 6px;
	font-size: 1rem;
	border: 1px solid #ccc;
}
.mwform-tel-field input[type=text]{
	width: 5em !important;
}

textarea{
	padding: .5em;
	width: 90%;
	height: 6em;
	font-size: 1rem;
	background: #ededed;
	border: 1px solid #ccc;
}

input[type=submit]{
	width: 100%;
	margin-top: 1rem;
	padding: .5em;
	color: #fff;
	background: #c81919;
	border: 0;
	font-size: 1.5rem;
	transition: .5s;
}

input[type=submit]:hover{
	cursor: pointer;
	background: #006650;
}

.mw_wp_form_preview input[type=submit]{
	width: 48%;
}

.mw_wp_form_preview input[type=submit]:first-of-type{
	background: #999;
}

#contact h4{
	font-size: 1.25rem;
	margin-bottom: .5rem;
}

.privacyAgree{
	height: 12em;
	padding: .5em;
	margin-bottom: 1rem;
	overflow-y: scroll;
	font-size: .875rem;
	font-weight: 300;
	border: 1px solid #eee;
	background: #fff;
}

.privacyAgree p{
	margin-bottom: 1rem;
}

.agreement{
	margin: .5rem 0 1rem;
	text-align: center;
}


@media screen and (min-width:841px){
	#about{
		display: flex;
		justify-content: flex-end;
		align-items: center;
	}

	.img{
		min-width: 30%;
		width: calc(100% - 960px);
	}

	#company,
	#access{
		display: flex;
		align-items: center;
	}
	.logoAnime img:first-of-type{
		animation-delay: .5s;
	}

	.logoAnime img:nth-of-type(2){
		animation-delay: 1.5s;
	}

	.logoAnime img:nth-of-type(3){
		animation-delay: 2.5s;
	}

	#news .flex > div{
	width: 240px
}

#news dl{
	width: calc(100% - 320px);
}

}

@media screen and (min-width:1310px){
	#service{
		display: flex;
		align-items: center;
		background-position: 50% 50%;
	}

	.logoAnime{
		width: calc(100% - 1000px);
		text-align: center;
	}
}

@media screen and (max-width:840px){
	section{
		padding: 2rem 0;
	}

	h3{
		font-size: 2rem;
	}

	.pcBr{
		display: none;
	}

	#intro{
		margin-top: 60px;
		height: calc(100vh - 60px);
		background: transparent;
	}

	.txtbgExtendTrigger{
		width: 100%;
		padding: 2rem 4%;
	}

	#news{
		padding: 6rem 4% 2rem;
	}
}

@media screen and (max-width:640px){
	#intro h1{
		font-size: 1.75rem;
	}
	#intro p{
		width: 80%;
	}
}



@keyframes bgchange{
      0%   {background:#008b6d;}/*変化させたい色*/
      25%  {background:#8b0000;}/*変化させたい色*/
      50%  {background:#dd6f04;}/*変化させたい色*/
      75%  {background:#ffff8c;}/*変化させたい色*/
      90%  {background:#000797;}/*変化させたい色*/
      100% {background:#8b0000;}/*変化させたい色*/
}
